.border-animated {
    margin: 0 auto;
    padding: 1em;
    text-align: center;
    border-radius: 10px;
    position: relative;
}

@property --angle {
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
}


body,
html {
    margin: 0;
    padding: 0;
    /*overflow: hidden;*/
    font-family: "Montserrat", sans-serif;
    color: #111111;
    touch-action: pan-x pan-y; /* allow scrolling */
    overscroll-behavior: none; /* optional: stop bounce on some devices */
    -webkit-user-select: none;
    -ms-user-select: none;     
    user-select: none;         
    -webkit-touch-callout: none; 
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    font-weight: 700;
}
a {
    text-decoration: none;
}
.no-click{
    pointer-events:none;
}

.splide {
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: -1;
}

.splide__slide {
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
}

.screen {
    display: none;
    /*height: 100vh;
    align-items: center;*/
    justify-content: center;
    text-align: center;
    position: relative;
}

.active {
    display: flex !important;
}



#playerHeader {
    display: none;
    text-align: center;
    padding: 10px;
    background: #f8f9fa;
    font-size: 20px;
    position: relative;
    z-index: 1;
}

.splide__progress {
    position: absolute;
    bottom: 10px;
    left: 50%;
    width: 80%;
    transform: translateX(-50%);
    height: 3px;
    background: rgba(255, 255, 255, 0.5);
}

.splide__progress__bar {
    height: 100%;
    background: #801a14;
    width: 0;
}

.container {
    max-width: 800px;
}


.screen-header {
    background: #801a14 url(/images/expo-2025/screen-header-bg.jpg) no-repeat;
    background-size: cover;
    padding: 20px 40px 60px 40px;
    position: relative;
    color: #ffffff;
    border-radius: 30px 30px 0 0;
}
.paper {
    background: url(/images/expo-2025/paper_1.png) repeat-x scroll center top / 1920px auto rgba(0, 0, 0, 0);
    bottom: -10px;
    left: 0;
    height: 59px;
    position: absolute;
    width: 100%;
}
.header-logo {
    height: 120px;
    margin: 0 auto 15px auto;
    display: block;
}
.header-image {
    height: 100px;
}
#playerdetailsScreen .header-image {
    height: 100px;
    margin-bottom: 30px;
}
.header-title {
    font-size: 50px;
    font-weight: 700;
    text-transform: uppercase;

}
.container-inside {
    background: #ffffff;
    border-radius: 0 0 30px 30px;
    padding: 30px 40px 40px 40px;
}
#welcomeScreen,
#playerdetailsScreen,
#gameSelectionScreen,
#quizEndScreen,
#puzzleEndScreen {
    height: 99vh;
    align-items: center;
    position: relative;
}

@media (max-width: 991px) {
    #welcomeScreen,
    #playerdetailsScreen,
    #gameSelectionScreen,
    #quizEndScreen,
    #puzzleEndScreen {
        /*height: auto;*/
    }

    .header-image {
        height: 100px;
    }
    .header-logo {
        height: 53px;
    }
    .btn.start {
        font-size: 15px !important;
        padding: 18px 30px !important;
    }
}

.area{
    width: 100%;
    height:100vh;
    position: fixed;
    z-index: -1;  
}

.circles{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.circles li{
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    /*background: rgba(255, 255, 255, 1.2);*/
    animation: animate 25s linear infinite;
    bottom: -150px;
    
}

.circles li:nth-child(1){
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
    filter: saturate(1.5);
}


.circles li:nth-child(2){
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
    
}

.circles li:nth-child(3){
    left: 70%;
    width: 70px;
    height: 70px;
    animation-delay: 4s;
}

.circles li:nth-child(4){
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.circles li:nth-child(5){
    left: 65%;
    width: 40px;
    height: 40px;
    animation-delay: 0s;
}

.circles li:nth-child(6){
    left: 75%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
    filter: saturate(1.5);
}

.circles li:nth-child(7){
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}

.circles li:nth-child(8){
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.circles li:nth-child(9){
    left: 20%;
    width: 55px;
    height: 55px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.circles li:nth-child(10){
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
    filter: saturate(1.5);
}



@keyframes animate {

    0%{
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100%{
        transform: translateY(-2600px) rotate(720deg);
        opacity: 1;
        border-radius: 50%;
    }

}








.form-control {
    border-color: #d5d1cb;
    font-weight: 500;
    padding: 15px;
}
.form-control:focus,
.form-select:focus,
.form-check-input:focus {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border-color: #7a6352;
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(122, 99, 82, .25);
}
.form-check-input:checked {
    background-color: #801a14;
    border-color: #801a14;
}
.form-select option:hover{
    background-color: #801a14;
}

.btn.start {
    background: #a22217;
    color: #ffffff;
    text-transform: uppercase;
    border-radius: 20px;
    font-size: 20px;
    font-weight: 600;
    padding: 30px 30px;
    margin-top: 20px;
    position: relative;
    border: none;
}

.btn.start::after {
    content: "";
    z-index: -1;
    position: absolute;
    width: 100%;
    height: 100%;
    background: #a22217 !important;
    left: 0;
    top: 0;
    border-radius: 20px;
  }
  /* glow */
.btn.start::before {
    content: "";
    background: linear-gradient(
      45deg,
      #FF0000, #FF7300, #da9f12, #fbff00, #FF0000
    );
    position: absolute;
    top: -2px;
    left: -2px;
    background-size: 600%;
    z-index: -1;
    width: calc(100% + 4px);
    height:  calc(100% + 4px);
    filter: blur(8px);
    animation: glowing 20s linear infinite;
    transition: opacity .3s ease-in-out;
    border-radius: 20px;
    opacity: 1;
  }
  
  @keyframes glowing {
    0% {background-position: 0 0;}
    50% {background-position: 400% 0;}
    100% {background-position: 0 0;}
  }
  
  /* hover */
  .btn.start:hover::before {
    opacity: 1;
  }
  
  .btn.start:active:after {
    background: transparent;
  }
  
  .btn.start:active {
    color: #fff;
    font-weight: bold;
  }



  #fullscreenBtn {
    position: fixed;
    bottom: 20px;
    left: 20px;
    padding: 10px 15px;
    font-size: 10px;
    background: none;
    color: #7c6356;
    border: 1px solid #7c6356;
    border-radius: 5px;
    cursor: pointer;
    z-index: 1000;
    display: none;
}











/*---------------------
  Game Selection Screen
-----------------------*/
#gameSelectionScreen .header-title {
    padding-bottom: 50px;
    font-size: 20px;
    text-transform: none;
    font-weight: 500;
}
#gameSelectionScreen #player-name {
    color: #a22217;
    font-size: 40px;
    font-weight: 700;
}
#player-name::before {
    content:url(/images/expo-2025/icon-wave.svg);
    display: inline-block;
    width: 30px;
    margin-right: 10px;
}
.game-btn {
    background: #fff;
    width: 80%;
    padding: 20px;
    position: relative;
    border-radius: 30px;
    justify-content: center;
    align-items: center;
    text-align: center;
    display: flex;
    color: #111111;
    cursor: pointer;
    flex-direction: column;
}
.game-btn.quiz {
    background: #ffffff;
    color: #111111;  
}
.game-btn.puzzle {
    background: #a22217 url(/images/expo-2025/puzzle-btn-bg.png);
    color: #ffffff;
}
.game-btn.puzzle::before {
    background-image: linear-gradient(var(--rotate), #eadacd, #db0000 43%, #801a14);
}
.game-btn::before {
    content: "";
    width: 106%;
    height: 104%;
    border-radius: 35px;
    background-image: linear-gradient(var(--rotate), #a22217, #db0000 43%, #801a14);
    position: absolute;
    z-index: -1;
    top: -2%;
    left: -3%;
    animation: spin 2.5s linear infinite;
}
.game-btn::after {
    position: absolute;
    content: "";
    top: calc(250px / 6);
    left: 0;
    right: 0;
    z-index: -1;
    height: 100%;
    width: 100%;
    margin: 0 auto;
    transform: scale(0.8);
    filter: blur(calc(250px / 6));
    background-image: linear-gradient(var(--rotate), #db0000, #a22217 43%, #7a6352);
    opacity: 1;
    transition: opacity .5s;
    animation: spin 2.5s linear infinite;
}
.game-btn img {
    width: 120px;
    margin: 25px 0;
}
.game-btn h2 {
    font-size: 28px;
    padding: 18px 0;
    font-weight: 700;
    text-transform: uppercase;
}
.game-btn p {
    font-size: 15px;
}
@keyframes spin {
    0% {
        --rotate: 0deg;
    }
    100% {
        --rotate: 360deg;
    }
}
@property --rotate {
    syntax: "<angle>";
    initial-value: 132deg;
    inherits: false;
}

@media (max-width : 768px) {
    #gameSelectionScreen .header-title {
        padding-bottom: 25px;
        font-size: 17px;
    }
    .game-btn {
        padding: 10px;
        margin-bottom: 55px;
    }
    .game-btn h2 {
        font-size: 24px;
        padding: 9px 0;
    }
    .game-btn img {
        width: 68px;
        margin: 20px 0;
    }
    .game-btn::before {
        content: "";
        width: 102%;
        height: 104%;
        top: -2%;
        left: -1%;
    }
}





/*---------------------
  Quiz Game Screen
-----------------------*/
.quiz {
    background: #ede3d8 url(/images/expo-2025/quiz-bg.jpg);
    background-size: cover;
}
.quiz-header {
    margin: 20px 30px;
}
#countdown-screen { 
    align-items: center;
    justify-content: center;
    display: flex;
    height: 100vh;
    overflow: hidden;
}
#countdown-screen-counter {
    font-size: 110px;
    font-weight: bold;
    color: #a22217;
    border-radius: 100%;
    padding: 85px;
    width: 350px;
    height: 350px;
    z-index: 1;
    text-align: center;
}
.circle {
    border-radius: 50%;
    background-color: #ffffff;
    width: 350px;
    height: 350px;
    position: absolute;
    opacity: 0;
    animation: scaleIn 4s infinite cubic-bezier(.36, .11, .89, .92);
  }

@keyframes scaleIn {
    from {
      transform: scale(.5, .5);
      opacity: .5;
    }
    to {
      transform: scale(2.5, 2.5);
      opacity: 0;
    }
  }


#questions-remaining{
    text-align: right;
    font-size: 13px;
    font-weight: 600;
}
.quiz-container {
    max-width: 1500px;
    margin: auto;
}
#question-image {
    border-radius: 33px;
    width: 100%;
    height: 600px;
    object-fit: cover;
}
.question-image-border {
    border-radius: 40px;
    width: 100%;
    height: 600px;
    position: relative;
}
.question-image-border.puzzle::before {
    background-image: linear-gradient(var(--rotate), #eadacd, #db0000 43%, #801a14);
}
.question-image-border::before {
    content: "";
    width: 101%;
    height: 101%;
    border-radius: 35px;
    background-image: linear-gradient(var(--rotate), #a22217, #ff0000 43%, #801a14);
    position: absolute;
    z-index: -1;
    top: -0.5%;
    left: -0.5%;
    animation: spin 2.5s linear infinite;
}
.question-image-border::after {
    position: absolute;
    content: "";
    top: calc(250px / 6);
    left: 0;
    right: 0;
    z-index: -1;
    height: 100%;
    width: 100%;
    margin: 0 auto;
    transform: scale(0.8);
    filter: blur(calc(250px / 6));
    background-image: linear-gradient(var(--rotate), #fd0303, #a22217 43%, #7a6352);
    opacity: 1;
    transition: opacity .5s;
    animation: spin 2.5s linear infinite;
}
@media (max-width : 576px) {
    #question-image,
    .question-image-border {
        height: 300px;
    }
}



.question-answer-section {
    background: #ffffffc9;
    border-radius: 40px;
    padding: 20px 40px 10px 40px;

}
#question-number {
    font-size: 12px;
    font-weight: 500;
    display: block;
    background: #eadacd;
    padding: 5px 10px;
    margin: 15px auto 0 auto;
    max-width: fit-content;
    border-radius: 5px;
}
#question-text {
    text-align: center;
    font-weight: 700;
    font-size: 25px;
    line-height: 36px;
    padding: 5px 0px 20px 0px;
}
@media (orientation: landscape)  {
    #question-text {
        font-size: 23px;
        line-height: 34px;
        padding: 5px 0px 15px 0px;
    }
    #select-prompt {
        padding: 15px;
    }
}
#select-prompt {
    text-align: center;
    font-weight: 600;
    padding: 20px;
    color: #a22217;
}
.answer-btn {
    width: 100%;
    margin: 5px 0;
    padding: 20px;
    text-align: center; 
    font-weight: 700;
    align-items: center;
    border: 2px solid #b4a69b;
    border-radius: 25px;
    background-color: #ffffff;
    position: relative;
    transition: 0.6s;
}
.answer-btn:hover {
    border: 2px solid #7a6352;
    background-color: #eadacd;
}
.answer-label { 
    position: absolute;
    font-weight: bold; 
    background: #eadacd;
    padding: 8px;
    border-radius: 20px;
    font-size: 14px;
    width: 35px;
    height: 35px;
    text-align: center;
    top: 16px;
    left: 15px;
    transition: 0.6s;
}
.answer-btn:hover .answer-label {
    background: #fff;
}
#confirm-answer { 
    display: none;
    border-radius: 15px;
    font-weight: 600;
}
.correct,
.correct:hover {
    background-color: #72ae54 !important;
    border: 2px solid #72ae54;
    color: white;
}
.correct .answer-label,
.correct:hover .answer-label {
    background: #81bd63;
}
.incorrect,
.incorrect:hover {
    background-color: #a22217 !important;
    border: 2px solid #a22217;
    color: white;
}
.incorrect .answer-label,
.incorrect:hover .answer-label {
    background: #ed6364;
}
.selected {
    background-color: #fbad41 !important;
    border: 2px solid #fbad41;
}
.selected .answer-label {
    background: #fcc257;
}
.timer {
    font-size: 1.5rem;
    font-weight: bold;
    display: none;
}
.progress {
    height: 8px;
    background-color: #ffffff;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}
.progress-bar {
    background-color: #801a14;
    border-radius: 5px;
}


.countdown-container {
    position: relative;
    width: 100%;
    height: 80px;
}
.countdown-circle {
    width: 100%;
    height: 100%;
    transform: rotate(-90deg); /* Start from the top */
}
.circle-bg {
    fill: none;
    stroke: #eadacd; /* Background circle color */
    stroke-width: 8;
}
.circle-progress {
    fill: none;
    stroke: #a22217; /* Progress circle color */
    stroke-width: 8;
    stroke-dasharray: 283; /* Circumference of the circle (2 * π * r) */
    stroke-dashoffset: 283; /* Start with the circle fully visible */
    stroke-linecap: round;
}
.countdown-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px;
    font-weight: bold;
    color: #a22217;
}
@keyframes countdown {
    to {
        stroke-dashoffset: 0; /* Shrink the circle to nothing */
    }
}
.paused {
    animation-play-state: paused !important;
}


@media (max-width: 992px) {
    .quiz-header {
        margin-bottom: 15px;
    }
    .question-answer-section {
        padding: 25px 25px 0 25px;
    }
    #question-text {
        font-size: 18px;
        line-height: 28px;
    }
    .answer-btn {
        margin: 2px 0;
        padding: 10px;
    }
    .answer-label { 
        padding: 8px;
        font-size: 11px;
        width: 30px;
        height: 30px;
        top: 8px;
        left: 15px;
    }
    .container-inside {
        padding: 30px 30px 15px 30px;
    }
}


.quizEnd {
    background: #ffffff;
    border-radius: 30px;
    min-height: 600px;
}
#performance-message {
    font-weight: 600;
}
.correct-score {
    font-weight: 700;
    font-size: 35px;
}
#score {
    font-size: 22px;
    letter-spacing: 6px;
}
.score,
.final-time {
    font-size: 15px;
    font-weight: 500;
}
#final-time {
    font-weight: 700;
    font-size: 35px;
}
.score::before,
.final-time::before {
    content: '';
    display: block;
    width: 50px;
    height: 50px;
    background: url(/images/expo-2025/time.png) no-repeat;
    background-size: contain;
    margin: 25px auto 15px auto;
}
.score::before {
    background: url(/images/expo-2025/correct.png) no-repeat;
    background-size: contain;
}




/*---------------------
  Leaderboard
-----------------------*/
.scoreboard {
    background: #7a6352;
    border-radius: 30px;
}
.scoreboard .screen-header {
    background: none;
    padding: 30px 20px 0px 20px;
    position: relative;
    color: #ffffff;
    border-radius: 30px 30px 0 0;
}
.scoreboard .header-title {
    font-size: 25px;
}
.scoreboard .container-inside {
    background: none;
    color: #ffffff;
    padding-top: 0;
}
/* Animate Background*/
@keyframes Gradient {
    0% {
      background-position: 0% 50%;
    }
    50% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
  }
.leaderboard {
    margin: 0px auto;
    border-radius: 10px;
    overflow: hidden;
}
.leaderboard .header, .leaderboard .player {
    display: flex;
    justify-content: space-between;
    padding: 5px;
    border-radius: 10px;
    margin: 5px 0;
    background: #00000014;
    font-size: 15px;
}
.leaderboard .header {
    background: #00000057;
    color: white;
}
.leaderboard .player:last-child {
    border-bottom: none;
}
.leaderboard .highlight,
.leaderboard .highlight.top-1,
.leaderboard .highlight.top-2,
.leaderboard .highlight.top-3 {
    font-weight: bold;
    background: #00000014 linear-gradient(to right,  rgba(255,215,0,0) 0%, rgba(84 219 16) 50%,rgba(255,215,0,0) 100%);
    background-size: 400% 400%;
    animation: Gradient 5s ease infinite;
}
.leaderboard .top-1 {
    font-weight: bold;
    background: #00000014 linear-gradient(to right,  rgba(255,215,0,0) 0%, rgba(255,215,0,0.4) 50%,rgba(255,215,0,0) 100%);
    background-size: 400% 400%;
    animation: Gradient 15s ease infinite;
}
.leaderboard .top-2 {
    font-weight: bold;
    background: #00000014 linear-gradient(to right,  rgba(255,215,0,0) 0%, rgba(192,192,192,0.4) 50%,rgba(192,192,192,0) 100%);
    background-size: 400% 400%;
    animation: Gradient 15s ease infinite;
}
.leaderboard .top-3 {
    font-weight: bold;
    background: #00000014 linear-gradient(to right,  rgba(255,215,0,0) 0%, rgba(205,127,50,0.4) 50%,rgba(205,127,50,0) 100%);
    background-size: 400% 400%;
    animation: Gradient 15s ease infinite;
}
.position-icon {
    width: 20px;
}



@media (max-width: 576px) {
    .header-title {
        font-size: 40px;
    }
    .leaderboard .header, .leaderboard .player {
        font-size: 14px;
    }
    #questions-remaining {
        text-align: center;
    }
    .countdown-container {
        height: 52px;
    }
    #question-text {
        padding: 9px 0px 9px 0px;
    }
    #select-prompt {
        padding: 15px;
        font-size: 14px;
    }
    .container-inside {
        padding: 30px 20px 15px 20px;
    }
    #final-time,
    .correct-score { 
        font-size: 30px;
    }
}
@media (max-width: 430px) {
    #final-time,
    .correct-score { 
        font-size: 20px;
    }
    #score {
        font-size: 18px;
    }
}









.light {
    position: absolute;
    width: 0px;
    opacity: .95;
    background-color: rgb(177, 54, 54);
    box-shadow: #a223174b 0px 0px 10px 2px;
    opacity: 0;
    top: 100vh;
    bottom: 0px;
    left: 0px;
    right: 0px;
    margin: auto;
    z-index: -1;
}

.x1{
  -webkit-animation: floatUp 4s infinite linear;
  -moz-animation: floatUp 4s infinite linear;
  -o-animation: floatUp 4s infinite linear;
  animation: floatUp 4s infinite linear;
   -webkit-transform: scale(1.0);
   -moz-transform: scale(1.0);
   -o-transform: scale(1.0);
  transform: scale(1.0);
}

.x2{
  -webkit-animation: floatUp 7s infinite linear;
  -moz-animation: floatUp 7s infinite linear;
  -o-animation: floatUp 7s infinite linear;
  animation: floatUp 7s infinite linear;
  -webkit-transform: scale(1.6);
  -moz-transform: scale(1.6);
  -o-transform: scale(1.6);
  transform: scale(1.6);
  left: 15%;
}

.x3{
  -webkit-animation: floatUp 2.5s infinite linear;
  -moz-animation: floatUp 2.5s infinite linear;
  -o-animation: floatUp 2.5s infinite linear;
  animation: floatUp 2.5s infinite linear;
  -webkit-transform: scale(.5);
  -moz-transform: scale(.5);
  -o-transform: scale(.5);
  transform: scale(.5);
  left: -15%;
}

.x4{
  -webkit-animation: floatUp 4.5s infinite linear;
  -moz-animation: floatUp 4.5s infinite linear;
  -o-animation: floatUp 4.5s infinite linear;
  animation: floatUp 4.5s infinite linear;
  -webkit-transform: scale(1.2);
  -moz-transform: scale(1.2);
  -o-transform: scale(1.2);
  transform: scale(1.2);
  left: -34%;
}

.x5{
  -webkit-animation: floatUp 8s infinite linear;
  -moz-animation: floatUp 8s infinite linear;
  -o-animation: floatUp 8s infinite linear;
  animation: floatUp 8s infinite linear;
  -webkit-transform: scale(2.2);
  -moz-transform: scale(2.2);
  -o-transform: scale(2.2);
  transform: scale(2.2);
  left: -57%;
}

.x6{
  -webkit-animation: floatUp 3s infinite linear;
  -moz-animation: floatUp 3s infinite linear;
  -o-animation: floatUp 3s infinite linear;
  animation: floatUp 3s infinite linear;
  -webkit-transform: scale(.8);
  -moz-transform: scale(.8);
  -o-transform: scale(.8);
  transform: scale(.8);
  left: -81%;
}

.x7{
  -webkit-animation: floatUp 5.3s infinite linear;
  -moz-animation: floatUp 5.3s infinite linear;
  -o-animation: floatUp 5.3s infinite linear;
  animation: floatUp 5.3s infinite linear;
  -webkit-transform: scale(3.2);
  -moz-transform: scale(3.2);
  -o-transform: scale(3.2);
  transform: scale(3.2);
  left: 37%;
}

.x8{
  -webkit-animation: floatUp 4.7s infinite linear;
  -moz-animation: floatUp 4.7s infinite linear;
  -o-animation: floatUp 4.7s infinite linear;
  animation: floatUp 4.7s infinite linear;
  -webkit-transform: scale(1.7);
  -moz-transform: scale(1.7);
  -o-transform: scale(1.7);
  transform: scale(1.7);
  left: 62%;
}

.x9{
  -webkit-animation: floatUp 4.1s infinite linear;
  -moz-animation: floatUp 4.1s infinite linear;
  -o-animation: floatUp 4.1s infinite linear;
  animation: floatUp 4.1s infinite linear;
  -webkit-transform: scale(0.9);
  -moz-transform: scale(0.9);
  -o-transform: scale(0.9);
  transform: scale(0.9);
  left: 85%;
}

@-webkit-keyframes floatUp{
  0%{top: 100vh; opacity: 0;}
  25%{opacity: 1;}
  50%{top: 0vh; opacity: .8;}
  75%{opacity: 1;}
  100%{top: -100vh; opacity: 0;}
}
@-moz-keyframes floatUp{
  0%{top: 100vh; opacity: 0;}
  25%{opacity: 1;}
  50%{top: 0vh; opacity: .8;}
  75%{opacity: 1;}
  100%{top: -100vh; opacity: 0;}
}
@-o-keyframes floatUp{
  0%{top: 100vh; opacity: 0;}
  25%{opacity: 1;}
  50%{top: 0vh; opacity: .8;}
  75%{opacity: 1;}
  100%{top: -100vh; opacity: 0;}
}
@keyframes floatUp{
  0%{top: 100vh; opacity: 0;}
  25%{opacity: 1;}
  50%{top: 0vh; opacity: .8;}
  75%{opacity: 1;}
  100%{top: -100vh; opacity: 0;}
}



.end-footer {
    background: #f2e6dc;
	border-radius: 40px;
    max-width: 97.4%;
    margin: 20px auto;
    padding: 10px 15px;
    box-shadow: rgba(180, 166, 155, 0.23) 0px 3px 30px;
    position: relative;
}
.btn-footer {
    background: #f9f2ec;
    color: #7a6352;
    border-radius: 15px;
    font-weight: 600;
    padding: 15px;
    margin: 10px 0;
    display: inline-flex;
    align-items: center;
    white-space: nowrap;
}
.btn-footer:hover {
    background: #801a14;
    color: #fff;
}
.btn-footer:hover::before {
    filter: brightness(10);
}
.btn-footer::before {
    content: '';
    display: inline-block;
    width: 40px;
    height: 40px;
    background: url(/images/expo-2025/quiz-btn-icon.png) no-repeat;
    background-size: contain;
    margin: 0 10px 0 0;
}

.btn-footer::before {
    content: '';
    display: inline-block;
    width: 40px;
    height: 40px;
    background-size: contain;
    margin: 0 10px 0 0;
}

.btn-footer.playquiz::before {
    content: '';
    background: url(/images/expo-2025/quiz-btn-icon.png) no-repeat;
    background-size: contain;
}
.btn-footer.playpuzzle::before {
    content: '';
    background: url(/images/expo-2025/puzzle-btn-icon-2.png) no-repeat;
    background-size: contain;
}
.btn-footer.exit::before {
    content: '';
    background: url(/images/expo-2025/exit.png) no-repeat;
    background-size: contain;
}
.btn-footer.restart::before {
    content: '';
    background: url(/images/expo-2025/restart.png) no-repeat;
    background-size: contain;
}
@media (max-width: 992px) {
    .btn-footer::before {
        width: 30px;
        height: 30px;
    }
}






/*---------------------
  Puzzle Select 
-----------------------*/

.select-puzzle h1 {
    color: #801a14;
}
.puzzle-select {
    /*height: 50vh;  if used as top section */
    overflow: hidden;
    margin: 0 30px;
  }
.puzzle-select-img {
    max-width: 100%;
    object-fit: cover;
    cursor: pointer;
    border-radius: 10px;
    position: relative;
    width: 100%;
    height: calc(16vh - 1vh); /* 4 rows per column */
    min-height: 230px;
    display: block;
}
.puzzle-select-img-holder {
    position: relative;
    display: inline-block;
    height: calc(16vh - 1vh); /* 4 rows per column */
    min-height: 230px;
}
.puzzle-select-img-holder::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('/images/expo-2025/puzzle-overlay.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left;
    pointer-events: none;
    z-index: 100;
  }
.puzzle-select .card {
    background: #fff;
    border: none;
    box-shadow: rgba(180, 166, 155, 0.23) 0px 3px 30px;
    padding: 20px 20px 7px 20px;
    border-radius: 20px;
    transition: all 0.5s ease;
    height: 100%;
}
.puzzle-select .card:hover {
    background: #faf7f4;
    transform: scale(1.025);
    box-shadow: rgba(0, 0, 0, 0.24) 0px 5px 10px;
}
.puzzle-select .card:active {
    background: #801a14;
    color: #ffffff;
}
.puzzle-select .card-title {
    font-size: 13px !important;
    color: #801a14;
    margin: 0 !important;
}
.puzzle-select .card-body {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    text-align: center;
}

@media (orientation: landscape)  {
    .puzzle-select .card-body {
        padding: 5px !important;
    }
    .puzzle-select .card-title {
        font-size: 18px !important;
    }
}
.puzzle-select .card:active .card-title {
    color: #ffffff;
}
@keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.05); }
    100% { transform: scale(1); }
}
.card.attention {
    animation: pulse 1s ease;
}

@media (orientation: landscape) and (min-width: 876px) {

    .puzzle-select > .col-md-6,
    .puzzle-select > .col-md-6 {
       /* width: 30% !important;  
        max-width: 30% !important;*/
    }
}







/*---------------------
  Puzzle 
-----------------------*/
.puzzle {
    background: #ede3d8 url(/images/expo-2025/quiz-bg.jpg);
    background-size: cover;
}
.puzzle-header {
    margin: 30px;
}
.puzzle-container {
    max-width: 2500px;
    margin: auto;
    overflow: hidden;
}
#divPuzzleArea {
    margin: 0 auto;
    width: 100%;
    position: relative;
    background: #ffffffc9;
	border-radius: 40px;
	padding: 40px 40px 10px 40px;
    box-shadow: rgba(180, 166, 155, 0.23) 0px 3px 30px;
}
.puzzle-footer {
    background: #f2e6dc;
	border-radius: 40px;
    max-width: 97.4%;
    margin: 70px auto;
    padding: 15px;
    box-shadow: rgba(180, 166, 155, 0.23) 0px 3px 30px;
    position: relative;
}
#puzzle-preview {
    position: absolute;
    left: 50%;
    top: -45px;
    margin-left: -150px  
}
#puzzle-preview:after {
    content: '';
    height: 5px;
    background: #801a14;
    display: block;
    border-radius: 5px;
    margin: 20px auto 0 auto;
    width: 60%;
}
#puzzle-preview img {
    max-width: 300px;
    border-radius: 20px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}
.puzzle-progress {
    background-color: #ddd;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
    height: 8px;
    background-color: #ffffff;
}
.puzzle-progress-bar {
    height: 100%;
    background-color: #801a14;
    border-radius: 5px;
    width: 100%;
    transition: width 1s linear;
}
.puzzle-timer {
    font-size: 2rem;
    text-align: right;
    font-weight: 600;
}


@media (max-width: 992px) {
    #divPuzzleArea {
        border-radius: 20px;
    }
    .puzzle-footer {
        border-radius: 20px;
        margin: 70px auto;
        padding: 10px;
    }
    #puzzle-preview {
        top: -10px;
        margin-left: -100px  
    }
    #puzzle-preview img {
        max-width: 200px;
        border-radius: 10px;
    }
}
@media (max-width: 576px) {
    #puzzle-preview {
        top: -10px;
        margin-left: -75px  
    }
    #puzzle-preview img {
        max-width: 150px;
        border-radius: 10px;
    }
}


.timesup {
    margin: -92px auto 19px;
}

#popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #a22217;
    color: #ffffff;
    padding: 2rem;
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
    z-index: 100001;
    font-size: 15px;
  }

  #overlay {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 100000;
  }


.btn-popup {
    background: #801a14;
    color: #f9f2ec;
    border-radius: 10px;
    font-weight: 600;
    padding: 10px;
    display: block;
    align-items: center;
}
.btn-popup::before {
    content: '';
    display: block;
    width: 40px;
    height: 40px;
    background: url(/images/expo-2025/quiz-btn-icon.png) no-repeat;
    background-size: contain;
    margin: 5px auto;
    filter: brightness(10);
}
.btn-popup:hover {
    background: #500e0a;
}
.btn-popup.restart::before {
    content: '';
    background: url(/images/expo-2025/restart.png) no-repeat;
    background-size: contain;
}
.btn-popup.exit::before {
    content: '';
    background: url(/images/expo-2025/exit.png) no-repeat;
    background-size: contain;
}




/*---------------------
  Portait screen 
-----------------------*/
@media (orientation: portrait) and (min-width: 576px) {
    .quiz-wrapper,
    .quizEndScreen-wrapper,
    .puzzleEndScreen-wrapper {
        min-height: 90vh;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
    }
    .quiz-wrapper{
        min-height: 89vh;
    }
    .quiz-layout,
    .quizEndScreen-layout,
    .puzzleEndScreen-layout {
        flex-direction: column !important;
    }
    .quiz-layout > .col-lg-7,
    .quiz-layout > .col-lg-5 {
        width: 80% !important; /* Make both full width */
        max-width: 80% !important;
    }
    .quizEndScreen-layout > .col-lg-6,
    .puzzleEndScreen-layout > .col-lg-6 {
        width: 80% !important; /* Make both full width */
        max-width: 80% !important;
    }
    .question-image-border {
        margin-bottom: 50px;
    }
}


@media (orientation: portrait) and (min-width: 1024px) {
    #question-image,
    .question-image-border {
        height: 800px;
    }
}
@media (orientation: portrait) and (min-width: 576px) and (max-width: 1024px)  {
    #question-image,
    .question-image-border {
        height: 500px;
    }
}